Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -1695,35 +1775,33 @@
         <NamedArea name="HasPopupContentSize">
             <Area>
-                <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
                 <Dim type="Width">
-                    <FontDim type="HorzExtent">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="WindowsLook" image="MenuLeft" dimension="Width">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="WindowsLook" image="MenuRight" dimension="Width">
-                                        <DimOperator op="Add">
-                                            <ImageDim imageset="WindowsLook" image="PopupMenuArrowLeft" dimension="Width">
-                                                <DimOperator op="Multiply">
-                                                    <AbsoluteDim value="3" />
-                                                </DimOperator>
-                                            </ImageDim>
-                                        </DimOperator>
-                                    </ImageDim>
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="HorzExtent" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/MenuLeft" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="WindowsLook/MenuRight" />
+                                <OperatorDim op="Multiply">
+                                    <ImageDim dimension="Width" name="WindowsLook/PopupMenuArrowLeft" />
+                                    <AbsoluteDim value="3" />
+                                </OperatorDim>
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Height">
-                    <FontDim type="LineSpacing">
-                        <DimOperator op="Add">
-                            <ImageDim imageset="WindowsLook" image="MenuTop" dimension="Height">
-                                <DimOperator op="Add">
-                                    <ImageDim imageset="WindowsLook" image="MenuBottom" dimension="Height" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Add">
+                        <FontDim type="LineSpacing" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="WindowsLook/MenuTop" />
+                            <ImageDim dimension="Height" name="WindowsLook/MenuBottom" />
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1732,19 +1810,21 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="MenuLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="MenuTop" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="MenuRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="MenuBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="WindowsLook/MenuLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/MenuTop" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/MenuRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/MenuBottom" />
+                        </OperatorDim>
                     </Dim>
                 </Area>
@@ -1756,18 +1836,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="MenuTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="MenuTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="MenuBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="MenuBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="MenuLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="MenuRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="MenuTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="MenuBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/MenuTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/MenuTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/MenuBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/MenuBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/MenuLeft" />
+                <Image component="RightEdge" name="WindowsLook/MenuRight" />
+                <Image component="TopEdge" name="WindowsLook/MenuTop" />
+                <Image component="BottomEdge" name="WindowsLook/MenuBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
@@ -1775,17 +1863,22 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="PopupMenuArrowRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="PopupMenuArrowRight" />
-                <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="WindowsLook/PopupMenuArrowRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/PopupMenuArrowRight" />
+                <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="RightAligned" />
@@ -1795,17 +1888,22 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" >
-                        <UnifiedDim scale="1" type="Width">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="PopupMenuArrowLeft" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="PopupMenuArrowLeft" />
-                <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="Width" />
+                            <ImageDim dimension="Width" name="WindowsLook/PopupMenuArrowLeft" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/PopupMenuArrowLeft" />
+                <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="RightAligned" />
@@ -1909,29 +2007,27 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ListHeaderSegment
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ListHeaderSegment">
-        <Property name="SizingCursorImage" value="set:WindowsLook image:MouseEsWeCursor" />
-        <Property name="MovingCursorImage" value="set:WindowsLook image:MouseMoveCursor" />
+        <Property name="SizingCursorImage" value="WindowsLook/MouseEsWeCursor" />
+        <Property name="MovingCursorImage" value="WindowsLook/MouseMoveCursor" />
         <ImagerySection name="segment">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="HeaderSplitter" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="HeaderMainBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/HeaderSplitter" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/HeaderMainBrush" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1941,10 +2037,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="HeaderSplitter" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/HeaderSplitter" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="RightAligned" />
@@ -1954,10 +2058,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="3" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="3" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="WindowsLook" image="SmallUpArrow" dimension="Width" /></Dim>
-                    <Dim type="Height" ><ImageDim imageset="WindowsLook" image="SmallUpArrow" dimension="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="SmallUpArrow" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="WindowsLook/SmallUpArrow" />
+                    </Dim>
+                    <Dim type="Height">
+                        <ImageDim dimension="Height" name="WindowsLook/SmallUpArrow" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/SmallUpArrow" />
             </ImageryComponent>
         </ImagerySection>
@@ -1965,10 +2077,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="3" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="3" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="WindowsLook" image="SmallDownArrow" dimension="Width" /></Dim>
-                    <Dim type="Height" ><ImageDim imageset="WindowsLook" image="SmallDownArrow" dimension="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="SmallDownArrow" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="3" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="WindowsLook/SmallDownArrow" />
+                    </Dim>
+                    <Dim type="Height">
+                        <ImageDim dimension="Height" name="WindowsLook/SmallDownArrow" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/SmallDownArrow" />
             </ImageryComponent>
         </ImagerySection>
@@ -1976,14 +2096,19 @@
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
-                        <ImageDim imageset="WindowsLook" image="SmallUpArrow" dimension="Width">
-                            <DimOperator op="Add">
-                                <AbsoluteDim value="5" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/SmallUpArrow" />
+                            <AbsoluteDim value="5" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
@@ -1993,11 +2118,11 @@
             <Layer>
                 <Section section="segment">
-                    <Colours topLeft="FFDDDDDD" topRight="FFDDDDDD" bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" />
+                    <Colours bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" topLeft="FFDDDDDD" topRight="FFDDDDDD" />
                 </Section>
                 <Section section="splitter">
-                    <Colours topLeft="FFDDDDDD" topRight="FFDDDDDD" bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" />
+                    <Colours bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" topLeft="FFDDDDDD" topRight="FFDDDDDD" />
                 </Section>
                 <Section section="label">
-                    <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                    <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 </Section>
             </Layer>
@@ -2006,11 +2131,11 @@
             <Layer>
                 <Section section="segment">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="splitter">
-                    <Colours topLeft="FFDDDDDD" topRight="FFDDDDDD" bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" />
+                    <Colours bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" topLeft="FFDDDDDD" topRight="FFDDDDDD" />
                 </Section>
                 <Section section="label">
-                    <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
+                    <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
                 </Section>
             </Layer>
@@ -2019,24 +2144,24 @@
             <Layer>
                 <Section section="segment">
-                    <Colours topLeft="FFDDDDDD" topRight="FFDDDDDD" bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" />
+                    <Colours bottomLeft="FFDDDDDD" bottomRight="FFDDDDDD" topLeft="FFDDDDDD" topRight="FFDDDDDD" />
                 </Section>
                 <Section section="splitter">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="label">
-                    <Colours topLeft="FF000000" topRight="FF000000" bottomLeft="FF000000" bottomRight="FF000000" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="DragGhost" clipped="false" >
-            <Layer priority="1" >
+                    <Colours bottomLeft="FF000000" bottomRight="FF000000" topLeft="FF000000" topRight="FF000000" />
+                </Section>
+            </Layer>
+        </StateImagery>
+        <StateImagery clipped="false" name="DragGhost">
+            <Layer priority="1">
                 <Section section="segment">
-                    <Colours topLeft="7FEFEFEF" topRight="7FEFEFEF" bottomLeft="7FEFEFEF" bottomRight="7FEFEFEF" />
+                    <Colours bottomLeft="7FEFEFEF" bottomRight="7FEFEFEF" topLeft="7FEFEFEF" topRight="7FEFEFEF" />
                 </Section>
                 <Section section="splitter">
-                    <Colours topLeft="7FDDDDDD" topRight="7FDDDDDD" bottomLeft="7FDDDDDD" bottomRight="7FDDDDDD" />
+                    <Colours bottomLeft="7FDDDDDD" bottomRight="7FDDDDDD" topLeft="7FDDDDDD" topRight="7FDDDDDD" />
                 </Section>
                 <Section section="label">
-                    <Colours topLeft="7F000000" topRight="7F000000" bottomLeft="7F000000" bottomRight="7F000000" />
+                    <Colours bottomLeft="7F000000" bottomRight="7F000000" topLeft="7F000000" topRight="7F000000" />
                 </Section>
             </Layer>
@@ -2052,15 +2177,15 @@
             </Layer>
         </StateImagery>
-        <StateImagery name="GhostAscendingSortIcon" clipped="false">
-            <Layer priority="1" >
+        <StateImagery clipped="false" name="GhostAscendingSortIcon">
+            <Layer priority="1">
                 <Section section="ascend_icon">
-                    <Colours topLeft="90FFFFFF" topRight="90FFFFFF" bottomLeft="90FFFFFF" bottomRight="90FFFFFF" />
-                </Section>
-            </Layer>
-        </StateImagery>
-        <StateImagery name="GhostDescendingSortIcon" clipped="false">
-            <Layer priority="1" >
+                    <Colours bottomLeft="90FFFFFF" bottomRight="90FFFFFF" topLeft="90FFFFFF" topRight="90FFFFFF" />
+                </Section>
+            </Layer>
+        </StateImagery>
+        <StateImagery clipped="false" name="GhostDescendingSortIcon">
+            <Layer priority="1">
                 <Section section="descend_icon">
-                    <Colours topLeft="90FFFFFF" topRight="90FFFFFF" bottomLeft="90FFFFFF" bottomRight="90FFFFFF" />
+                    <Colours bottomLeft="90FFFFFF" bottomRight="90FFFFFF" topLeft="90FFFFFF" topRight="90FFFFFF" />
                 </Section>
             </Layer>
@@ -2068,11 +2193,4 @@
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ListHeader
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ListHeader">
         <Property name="SegmentWidgetType" value="WindowsLook/ListHeaderSegment" />
@@ -2080,29 +2198,24 @@
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/MultiColumnList
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/MultiColumnList">
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_listheader__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_listheader__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2110,15 +2223,18 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_listheader__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_listheader__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -2126,15 +2242,18 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_listheader__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_listheader__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
